Subject: Re: [PATCH net-next] net: ping_check_bind_addr() etc. can be static

From: Fengguang Wu <[email-masked]>
Date: Wed, 12 Jun 2013 18:26:15 +0800

On Wed, Jun 12, 2013 at 01:17:52AM -0700, David Miller wrote:
> From: Fengguang Wu <[email-masked]>
> Date: Sun, 9 Jun 2013 20:24:26 +0800
> 
> >  /* Checks the bind address and possibly modifies sk->sk_bound_dev_if. */
> > -int ping_check_bind_addr(struct sock *sk, struct inet_sock *isk,
> > +static int ping_check_bind_addr(struct sock *sk, struct inet_sock *isk,
> >  			 struct sockaddr *uaddr, int addr_len) {
> 
> In all of these cases, you have to fix the indentation of all of the
> argument lines when the change the location of the openning
> parenthesis of the first line of the function definition.
> 
> That's because in the networking we indent function declarations
> in the following way:
> 
> int foo(int arg1, int arg2, int arg3,
> 	int arg4, int arg5)
> 
> Specifically, the arguments that are declared on the second and
> subsequent lines must start at the first column after the openning
> parenthesis.  This must be done using the appropriate number of
> TAB and space characters necessary to achieve that exact column.
> 
> Please fix this up and combine your two patches into one.

OK I'll rework the patch, thank you for the kind tips!

Thanks,
Fengguang